
From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>

External modules require to check cn_already_initialized to know that
connector initialization is sucessfully finished.

Signed-off-by: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/connector.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/linux/connector.h~connector-export-initialization-flag include/linux/connector.h
--- 25/include/linux/connector.h~connector-export-initialization-flag	Thu May 12 13:42:31 2005
+++ 25-akpm/include/linux/connector.h	Thu May 12 13:42:31 2005
@@ -149,5 +149,7 @@ void cn_queue_free_dev(struct cn_queue_d
 
 int cn_cb_equal(struct cb_id *, struct cb_id *);
 
+extern int cn_already_initialized;
+
 #endif				/* __KERNEL__ */
 #endif				/* __CONNECTOR_H */
_
